using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 酒店询价 entities
    /// </summary>
    [SugarTable("Grp_HotelInquiry")]
    public class Grp_HotelInquiry:EntityBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DiId { get; set; }

        /// <summary>
        /// 所在城市
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(50)")]
        public string City { get; set; }

        /// <summary>
        /// 酒店名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Name { get; set; }

        /// <summary>
        /// 酒店地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string Address { get; set; }

        /// <summary>
        /// 查询时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "datetime")]
        public DateTime  SelectDt { get; set; }

        /// <summary>
        /// 入住 日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "datetime")]
        public DateTime CheckInDate{ get; set; }

        /// <summary>
        /// 离店 日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "datetime")]
        public DateTime CheckOutDate { get; set; }


        /// <summary>
        /// 单间 价格
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal SinglePrice { get; set; }

        /// <summary>
        /// 单间 数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SingleQuantity { get; set; }

        /// <summary>
        /// 单间 币种 
        /// 外键 币种Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SingleCurrency { get; set; }

        /// <summary>
        /// 双人间 价格
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal DoublePrice { get; set; }

        /// <summary>
        /// 双人间 数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DoubleQuantity { get; set; }

        /// <summary>
        /// 双人间 币种 
        /// 外键 币种Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DoubleCurrency { get; set; }

        /// <summary>
        /// 套房 价格
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal SuitePrice { get; set; }

        /// <summary>
        /// 套房 数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SuiteQuantity { get; set; }

        /// <summary>
        /// 套房 币种 
        /// 外键 币种Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SuiteCurrency { get; set; }

        /// <summary>
        /// 其他 价格
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal OtherPrice { get; set; }

        /// <summary>
        /// 其他 数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int OtherQuantity { get; set; }

        /// <summary>
        /// 单价 币种 
        /// 外键 币种Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int OtherCurrency { get; set; }

    }
}
